﻿/*@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');*/

@font-face {
	font-family: 'inter-regular';
	src: url('../fonts/inter-regular.ttf') format('truetype');
}

@font-face {
	font-family: 'inter-medium';
	src: url('../fonts/inter-medium.ttf') format('truetype');
}

@font-face {
	font-family: 'inter-bold';
	src: url('../fonts/inter-bold.ttf') format('truetype');
}

@font-face {
	font-family: 'inter-extrabold';
	src: url('../fonts/inter-extrabold.ttf') format('truetype');
}

@font-face {
	font-family: 'HelveticaNeue-Medium';
	src: url('../fonts/HelveticaNeueMedium.ttf') format('truetype');
}
/* HACK to remove the Blazor spinner */
app h1 i.fa-spinner {
	display: none;
}

*:focus {
	outline-color: #3299a0;
	/* not working */
}

.page-background-class {
	background-image: url(../img/background2.jpg);
	background-position: center;
	background-size: cover;
}

html {
	height: 100%
}

body {
	--bs-body-font-family: 'Inter', sans-serif;
	height: 100%;
	padding-top: 53px;
}

header {
	position: fixed !important;
	top: 0;
	width: 100%;
}

#app {
	display: flex;
	flex-direction: column;
	height: 100%;
	overflow: hidden;
}

#contentWrapper {
	display: flex;
	flex: 2;
	padding: 0px;
	margin-top: 32px;
	overflow: hidden;
}

#contentInnerWrapper {
	display: flex;
	flex-direction: row;
	width: 100%;
	margin-top: -1px;
}

.sidebar-left {
	flex: 0 0 257px;
	background-color: #fff;
	overflow-y: auto;
	/* margin-top: 20px; */
	border-right: 1px solid #DEE2E6;
}

.sidebar-left .nav-link {
	color: #212529 !important;
	min-width: 210px;
	height: 30px !important;
	font-size: 14px;
}

.sidebar-left .nav-link .badge {
	color: #fff !important;
	background-color: #3299A0 !important;
	padding-bottom: 2px;
}

.sidebar-left .nav-link.active {
	color: #fff !important;
	background-color: #3299A0 !important;
}

.sidebar-left .nav-link.active .badge {
	color: #3299A0 !important;
	background-color: #fff !important;
}

.sidebar-heading {
	color: ##212529;
	margin: 26px;
	margin-top: 22px;
	margin-bottom: 0px;
}

.sidebar-right {
	flex: 0 0 360px;
	padding-right: 2rem;
	overflow-y: visible;
}

.content-center {
	flex: 3;
	padding-left: 35px;
	padding-right: 1.5rem;
	overflow-y: visible;
}

.content-center-and-right,
.content-center-full {
	display: flex;
	flex-direction: row;
	width: 100%;
	overflow-y: auto;
}

.page-title {
	margin: 22px 0 0 0;
	color: gray;
}

a,
.btn-link {
	color: #0366d6;
}

a .fas {
	color: gray;
}

.btn {
	font-size: 14px !important;
	font-weight: 500 !important;
	font-family: 'Inter'
}

.btn .fas {
	margin: 0 5px;
	font-weight: 600;
	color: #fff;
}

.btn-primary {
	color: #fff;
	background-color: #3299A0 !important;
	border-color: #3299A0 !important;
}

.btn-outline-primary {
	color: #3299A0 !important;
	border-color: #3299A0 !important;
	font-weight: bold !important;
}

.btn-outline-primary:hover,
.btn-primary:hover {
	background-color: #3299A0 !important;
	border-color: #3299A0 !important;
	color: #fff !important;
}

.btn-divider-right {
	border-right: 1px solid #AAAAAA;
	margin-left: -5px;
	margin-top: 20px;
	margin-bottom: -20px;
	font-size: 30px;
}

.top-row {
	height: 3.5rem;
	display: flex;
	align-items: center;
	z-index: 1;
}

.blazored-toast-container {
	z-index: 2000 !important;
}

.content {
	padding-top: 1.1rem;
}

.navbar-toggler {
	background-color: rgba(255, 255, 255, 0.1);
}

.navbar {
	background-color: #F8F9FA;
	height: 90px;
	padding: 0px;
	z-index: 1000;
}

.navbar .nav-link .fas,
.navbar .dropdown .fas {
	margin: 0 10px;
	width: 15px;
}

.navbar .nav-link,
.navbar .dropdown {
	font-size: 14px;
	color: #000000 !important;
	padding: 0;
	font-weight: bold;
}

.navbar-brand {
	margin-top: 0 !important;
	width: 240px !important;
	float: left;
}

.brand-name {
	color: #6C757D;
	font-size: 14px;
	font-weight: 700 !important;
}

.navbar-brand a,
.navbar-brand a:hover,
.navbar-brand a:active {
	text-decoration: none;
	color: rgba(0, 0, 0, .9);
	font-weight: normal;
}

.navbar-user-icon {
	border-radius: 20px;
	width: 40px;
	height: 40px;
	margin: 0px 0 0 20px;
	font-size: 16px;
	padding: 6px 7px;
	background-color: #3299A0;
}

.impersonated .navbar-user-icon {
	background-color: red;
}

.nav-item.active {
	border-bottom: 3px solid #3299A0;
}

.nav-item.active .nav-link {
	color: #3299A0 !important;
}

.navbar-workspaces .nav-item {
	margin: 0 20px;
}

.navbar-tools span {
	color: #3299A0;
	font-weight: 600;
}

.menu-bar {
	height: 48px;
}

.menu-bar .btn {
	margin: 10px;
}

.menu-bar .btn:first-child {
	margin-left: 0px;
}

.menu-bar .btn:last-child {
	margin-right: 0px;
}

.valid.modified:not([type=checkbox]) {
	outline: 1px solid #26b050;
}

.invalid {
	outline: 1px solid red;
}

.numeric {
	text-align: right;
}

.validation-message {
	color: red;
}

.hidden {
	display: none;
}

select.form-control {
	padding: 2px 12px 0px 5px !important;
}

#noRecordInfo {
	margin-left: auto;
	margin-right: auto;
	margin-top: 50px;
	width: 300px;
}

#data-editor .form-group {
	margin-bottom: 0px;
}

#data-editor label {
	font-size: smaller;
	height: 12px;
}

#data-editor input,
#data-editor select {
	height: 32px;
	padding-left: 3px;
}

#data-editor input.checkbox {
	width: inherit !important;
	height: 26px;
}

#gridNavLinks {
	height: 40px;
}

#gridNavLinks a {
	padding: 4px;
	color: #212529;
	font-size: 14px;
	margin-right: 30px;
}

#gridNavLinks .badge {
	background-color: #3299A0;
	color: #fff;
	padding-bottom: 2px;
}

#gridNavLinks a.active .badge {
	background-color: #fff;
	color: #3299A0;
}

#gridNavLinks a.active {
	background-color: #3299A0;
	color: #fff;
	font-size: 14px;
}

.master-totals-table {
	width: 100%;
	background-color: white;
}

.master-totals-table td {
	padding-left: 3px;
	padding-right: 3px;
}

.blazored-typeahead,
.blazored-typeahead__input-mask {
	border-radius: 3px !important;
	white-space: nowrap;
}

.blazored-typeahead__input-mask-wrapper,
.blazored-typeahead__input-mask {
	overflow-x: hidden;
}

.blazored-typeahead__input-mask,
.blazored-typeahead__clear {
	padding: 3px !important;
}

#blazor-error-ui {
	background: lightyellow;
	bottom: 0;
	box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
	display: none;
	left: 0;
	padding: 0.6rem 1.25rem 0.7rem 1.25rem;
	position: fixed;
	width: 100%;
	z-index: 1000;
}

#blazor-error-ui .dismiss {
	cursor: pointer;
	position: absolute;
	right: 0.75rem;
	top: 0.5rem;
}

.bm-container,
.blazored-modal-container {
	z-index: 5000 !important;
	/* make sure the blazored modal is on top*/
}

.blazored-modal-content {
	overflow-x: hidden;
}

.blazored-modal-content .list-group {
	max-height: 300px;
	margin-bottom: 10px;
	overflow-y: scroll;
	-webkit-overflow-scrolling: touch;
}

.form-group .e-colorpicker-container {
	width: 100%;
}

/* CHAT */
.chat-container .card-body {
	padding: 0;
}

.chat-message-list {
	height: 80vh;
	overflow-y: auto;
	width: 100%;
	border: 0px solid silver;
	padding: 0px;
	margin-right: 0px;
}

.chat-convo-list {
	height: 80vh;
	overflow-y: auto;
}


.card-text {
	border-radius: 5px;
	border: 1px solid #CCCCCC;
}

a.custom-card,
a.custom-card:hover {
	color: inherit;
	font-style: normal;
}

@media (max-width: 767.98px) {
	.main .top-row:not(.auth) {
		display: none;
	}

	.main .top-row.auth {
		justify-content: space-between;
	}

	.main .top-row a,
	.main .top-row .btn-link {
		margin-left: 0;
	}
}

@media (min-width: 768px) {
	app {
		flex-direction: row;
	}

	.sidebar {
		width: 247px;
		height: 100vh;
		position: sticky;
		top: 0;
	}

	.main .top-row {
		position: sticky;
		top: 0;
	}

	.main > div {
		padding-left: 2rem !important;
		padding-right: 1.5rem !important;
	}

	.navbar-toggler {
		display: none;
	}

	.sidebar .collapse {
		/* Never collapse the sidebar for wide screens */
		display: block;
	}

	.e-treeview .e-list-text {
		line-height: 40px;
		font-size: large;
	}

	.e-treeview .e-fullrow {
		height: 40px;
		font-size: large;
	}
}


.e-treeview .e-list-text {
	line-height: 40px;
	font-size: large;
}

.e-treeview .e-fullrow {
	height: 40px;
	font-size: large;
}

/** Simple drag and drop with Blazor CSS **/

.jobs-container {
	display: flex;
	justify-content: space-around;
}

.job-status {
	display: flex;
	flex-direction: column;
	width: 312px;
}

.job-status ul {
	flex: 1;
}

.dropzone {
	padding: 30px;
	border: 1px dashed #75868a;
	list-style: none;
}

.no-drop {
	border: 2px dashed red;
}

.can-drop {
	border: 2px dashed green;
}

.draggable {
	margin-bottom: 10px;
	padding: 10px 25px;
	border: 1px solid #424d5c;
	cursor: grab;
	background: #5c6b7f;
	color: #ffffff;
	border-radius: 5px;
	width: 250px;
}

.draggable:active {
	cursor: grabbing;
}

.dragging {
	cursor: grabbing;
}

.e-input-group input.e-input,
.e-input-group.e-control-wrapper input.e-input,
.e-input-group textarea.e-input,
.e-input-group.e-control-wrapper textarea.e-input {
	height: 40px;
	font-size: 20px;
}

/* Grid */

.e-headertext {
	color: #6C757D;
	font-weight: 400;
	font-family: 'Inter';
	font-size: 14px;
}

.e-grid .e-gridheader, .e-grid .e-headercell, .e-grid .e-rowcell, .e-grid {
	border-color: #fff;
	border-style: solid;
	border-width: 0px;
}

/* Hide sf grid cell focus outline */
.e-grid td.e-rowcell.e-focus.e-focused {
	box-shadow: none !important;
}


.e-grid td.e-groupcaption .e-focus.e-focused {
	box-shadow: none !important;
}


.e-grid th.e-headercell.e-focus.e-focused {
	box-shadow: none !important;
}
